RegistrationEventHandlerImpl
Date: 2018-08-02

org.gcube.informationsystem.notifier.util

## Class RegistrationEventHandlerImpl

- java.lang.Object
- - org.gcube.informationsystem.notifier.util.RegistrationEventHandlerImpl

- All Implemented Interfaces:
    java.io.Serializable, RegistrationEventHandler<Producer,Consumer>

      public class RegistrationEventHandlerImpl
      extends java.lang.Object
      implements RegistrationEventHandler<Producer,Consumer>, java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static GCUBELog` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegistrationEventHandlerImpl(javax.xml.namespace.QName topic)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<org.apache.axis.message.addressing.EndpointReferenceType>` | `getSubscriptionEPRByConsumer(Consumer consumer)`
    `java.util.List<org.apache.axis.message.addressing.EndpointReferenceType>` | `getSubscriptionEPRByProducer(Producer producer)`
    `java.util.List<Subscription>` | `getSubscriptionList()`
    `javax.xml.namespace.QName` | `getTopic()`
    `void` | `onNewConsumer(Consumer consumer, java.util.List<Producer> registeredProducerList)`
    `void` | `onNewProducer(Producer newProducer, java.util.List<Consumer> registeredConsumerList)`
    `void` | `onProducerExist(Producer newProducer, Producer oldProducer, java.util.List<Consumer> registeredConsumerList)`
    `void` | `onRemoveConsumer(Consumer consumer)`
    `void` | `onRemoveProducer(Producer producer)`
    `void` | `setSubscriptionList(java.util.List<Subscription> subscriptionList)`
    `void` | `setTopic(javax.xml.namespace.QName topic)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static GCUBELog logger

  - ### Constructor Detail

    - #### RegistrationEventHandlerImpl

          public RegistrationEventHandlerImpl(javax.xml.namespace.QName topic)

  - ### Method Detail

    - #### setSubscriptionList

          public void setSubscriptionList(java.util.List<Subscription> subscriptionList)

    - #### getSubscriptionList

          public java.util.List<Subscription> getSubscriptionList()

    - #### getTopic

          public javax.xml.namespace.QName getTopic()

    - #### setTopic

          public void setTopic(javax.xml.namespace.QName topic)

    - #### onNewConsumer

          public void onNewConsumer(Consumer consumer,
                           java.util.List<Producer> registeredProducerList)
                             throws java.lang.Exception

      Specified by:
        `onNewConsumer` in interface `RegistrationEventHandler<Producer,Consumer>`
      Throws:
        `java.lang.Exception`

    - #### onNewProducer

          public void onNewProducer(Producer newProducer,
                           java.util.List<Consumer> registeredConsumerList)
                             throws java.lang.Exception

      Specified by:
        `onNewProducer` in interface `RegistrationEventHandler<Producer,Consumer>`
      Throws:
        `java.lang.Exception`

    - #### onProducerExist

          public void onProducerExist(Producer newProducer,
                             Producer oldProducer,
                             java.util.List<Consumer> registeredConsumerList)
                               throws java.lang.Exception

      Specified by:
        `onProducerExist` in interface `RegistrationEventHandler<Producer,Consumer>`
      Throws:
        `java.lang.Exception`

    - #### onRemoveConsumer

          public void onRemoveConsumer(Consumer consumer)
                                throws java.lang.Exception

      Specified by:
        `onRemoveConsumer` in interface `RegistrationEventHandler<Producer,Consumer>`
      Throws:
        `java.lang.Exception`

    - #### onRemoveProducer

          public void onRemoveProducer(Producer producer)
                                throws java.lang.Exception

      Specified by:
        `onRemoveProducer` in interface `RegistrationEventHandler<Producer,Consumer>`
      Throws:
        `java.lang.Exception`

    - #### getSubscriptionEPRByProducer

          public java.util.List<org.apache.axis.message.addressing.EndpointReferenceType> getSubscriptionEPRByProducer(Producer producer)

      Specified by:
        `getSubscriptionEPRByProducer` in interface `RegistrationEventHandler<Producer,Consumer>`

    - #### getSubscriptionEPRByConsumer

          public java.util.List<org.apache.axis.message.addressing.EndpointReferenceType> getSubscriptionEPRByConsumer(Consumer consumer)

      Specified by:
        `getSubscriptionEPRByConsumer` in interface `RegistrationEventHandler<Producer,Consumer>`